%define	name	boson
%define	version	0.13
%define	release	2
%define	Summary	A Real-Time Strategy Game (RTS) for the KDE project

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		Games/Strategy
Source0:	http://belnet.dl.sourceforge.net/sourceforge/boson/%{name}-all-%{version}.tar.bz2
Patch0:		boson-0.13-py25.patch
Patch1:		boson-0.13-ssize_t.patch
URL:		http://boson.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel 
BuildRequires:  python-devel
BuildRequires:  cmake

%description
Boson is a real-time strategy game, like Command&Conquer(tm) or StarCraft(tm).
It is designed to run on Unix (Linux) computers and uses the Qt
Toolkit and QwSpriteField. A minimum of two players is required, since there is
no artificial intelligence (yet?).

Boson's Code and Graphics are published under the GNU General Public License.

If you want to know more about Boson, have a look at the Web site.

%prep
%setup -q -n %{name}-all-%{version}
%patch0 -p1 -b .py25
%patch1 -p1 -b .ssize_t

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} ..
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
pushd build
find -name cmake_install.cmake | xargs perl -pi -e 's|/lib/kde3|/%{_lib}/kde3|'
%make install
popd

%{__install} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
%{__install} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
%{__install} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

#%find_lang %{name}

desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/bo*
%{_libdir}/kde3/plugins/%{name}/*
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/apps/%{name}
%{_datadir}/config/bodebug*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/actions/*.png
%doc code/README


%changelog
* Fri Jan 05 2007 Olivier Blin <oblin@mandriva.com> 0.13-2mdv2007.0
+ Revision: 104288
- fix install in /usr/lib64/kde3 for x86_64
- x86_64 build fixes (use ssize_t)
- add Mandriva XDG category
- update files list
- fix cmake files installation
- remove old menus
- fix build with python 2.5 (KDE #138428, Mandriva #27664, thanks to Zombie Ryushu)
- remove old patches

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.13

  + Lenny Cartier <lenny@mandriva.com>
    - Import boson



* Mon Sep 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.11-1mdk
- 0.11
- fix build with gcc4 (P1)
- %%mkrel

* Wed Mar 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-4mdk
- use %%configure2_5x macro
- from Emmanuel Andry <eandry@free.fr> :
	o rebuild for new menu
	o rebuild with latest libs
	o diff patch for python-libs 2.4
	o buildrequires XFree86-static-deve

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-3mdk
- rebuild for new menu

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-3mdk
- rebuild for new menu

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-2mdk
- rebuild

* Tue May 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-1mdk
- 0.10
- --enable-final
- work around binary-or-shlib-defines-rpath

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-2mdk
- buildrequires
- fix uninstalled files

* Mon Nov 03 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9-1mdk
- 0.9
- fix buildrequires (lib64..)
- disable parallell build, broken in this release:\

* Thu Jun 19 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8-4mdk
- pass compile flags to configure in stead of make
- use double %%'s in changelog
- fix path to qt3 (lib64 issues..) 

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8-3mdk
- adjust buildrequires

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8-2mdk
- fix configure so we don't get invalid binary names (from gc)
- fix buildrequires

* Fri Apr 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8-1mdk
- 0.8
- sound is disabled by default for 0.8 due to severe slowdowns, enable with --sound
- dropped Source1, no longer needed
- --with-xinerama
- actually compile with %%{optflags}

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7-1mdk
- don't rm -rf buildroot in prep stage
- don't create a filelist
- remove obsolete Prefix tag
- cleanups
- fix buildrequires
- 0.7
- added fix for slowdons(Source1)
- quiet setup
- added icons
- fix invalid binnames
- added documentation

* Thu Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- from Florent BERANGER <cosmic.flo@libertysurf.fr> :
	- first Mdk release based on author works
